.signatureAccessibleBox{
    --error-color:#d32704;
    --white-color:#fff;
    --shadow-color:#7777774d;
    --border-color: #d4d6d8;
    --bg-color:#f5f5f5;
    --bg-btn-color:#2d76cb;
    --success-color:#278732;
}
.signatureAccessibleBox button.approveBtn {
    display: block;
    margin: 10px auto 0;
}

.signatureAccessibleBox .hasError {
    font-size: 16px;
    line-height: 1.25;
    color: var(--error-color);
    justify-content: center;
    display: flex;
    width: 100%;
    font-weight: bold;
    margin: 1px 8px 0 0;
}

.signatureAccessibleBox .hasError i {
    border-radius: 50%;
    color: var(--white-color);
    width: 18px;
    height: 18px;
    background-color: var(--error-color);
    font-style: normal;
    text-align: center;
    padding: 2px 0 0 2px;
    margin: 0 0 0 8px;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.signatureAccessibleBox .signatureAccessible {
    min-width: 250px;
    width: 100%;
    max-width: 540px;
    padding: 25px 7% 32px;
    border-radius: 10px;
    box-shadow: 0 2px 5px 0 var(--shadow-color);
    background-color: var(--bg-color);
    box-sizing: border-box;
    margin: 0 auto 40px;
    display: flex;
    flex-direction: column;
}

.signatureAccessibleBox .signatureAccessible * {
    box-sizing: border-box;
}

/* Checkbox */
.signatureAccessibleBox .signatureAccessible > label span {
    font-size: 16px;
    font-weight: 500;
    margin-right: 2px;
}

.signatureAccessibleBox .signatureAccessible > label {
    margin-bottom: 20px;
}

/* Signature */
.signatureAccessibleBox .signatureAccessible .signatureBox label {
    margin-bottom: 8px;
    font-size: 16px;
    text-align: right;
}

.signatureAccessibleBox .signatureAccessible .signatureBox canvas {
    background: var(--white-color);
    border: 1px dashed var(--border-color);
    width: 100%;
    height: auto;
    min-height: 110px;
    aspect-ratio: unset;
}

/* File upload */
.signatureAccessibleBox .signatureAccessible .fileUploadBox {
    display: flex;
    flex-direction: column;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox p {
    padding: 0;
    margin: 0;
    line-height: 1;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox p .asterisk {
    color: var(--error-color);
    letter-spacing: -2px;
    padding-right: 5px;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox label {
    display: flex;
    flex-direction: column;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox label:focus,
.signatureAccessibleBox .signatureAccessible .fileUploadBox label:focus-visible{
    border: 2px solid;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox input {
    visibility: hidden;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails {
    background: var(--white-color);
    border: 1px dashed var(--border-color);
    width: 100%;
    height: auto;
    min-height: 110px;
    cursor: pointer;
    margin-top: 8px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .NotSelectedFile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .NotSelectedFile svg {
    font-size: 2.5rem;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0 15px;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile button {
    border: none;
    background: transparent;
    font-size: 1.5rem;
    padding: 0;
    margin: 0;
    line-height: 0;
    color: var(--bg-btn-color);
    cursor: pointer;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile button:focus,
.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile button:focus-visible{
    border: 2px solid;
}
.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .progressBar {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 90%;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .progressBar progress {
    border: none;
    padding: 0 !important;
    margin: 5px 0 0 !important;
    height: 3px;
    width: 100%;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .progressBar .statusMessage {
    font-size: 14px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.43;
    letter-spacing: -0.18px;
    color: var(--success-color);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    margin-top: 5px;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .progressBar .statusMessage.successMode {
    color: var(--success-color);
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .progressBar .statusMessage.errorMode {
    color: var(--error-color);
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .progressBar .statusMessage svg {
    margin-left: 5px;
}

.signatureAccessibleBox .signatureAccessible .fileUploadBox .fileUploadSectionDetails .SelectedFile .fileName {
    width: 100%;
    font-size: 14px;
    line-height: 1.14;
}

progress:not([value]) {
    background:var(--white-color);
    -webkit-appearance: none;
    appearance: none;
}

progress[value]::-webkit-progress-bar {
    background-color: var(--white-color);
    border-radius: 2px;
}

progress[value].successMode::-webkit-progress-value {
    background: var(--success-color);
}

progress[value].errorMode::-webkit-progress-value {
    background: var(--error-color);
}
